/// <reference types="react" />
import * as React from 'react';
import { Theme } from '../Playground';
import { PermissionSession, ServiceInformation } from '../../types';
export interface Props {
    theme: Theme;
    serviceInformation: ServiceInformation;
    onNewPermissionTab: (permissionTab: PermissionSession) => void;
}
export interface State {
    open: boolean;
    modelSelected: boolean;
    modelName: string;
    relationName: string;
}
export default class NewPermissionTab extends React.Component<Props, State> {
    constructor(props: Props);
    render(): JSX.Element;
    private handleModelNameChange;
    private handleRelationNameChange;
    private newTab;
    private toggleType;
    private toggleTooltip;
}
