"use strict";

var _style = require("styled-jsx/style");

var _style2 = _interopRequireDefault(_style);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var __extends = undefined && undefined.__extends || function () {
    var extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function (d, b) {
        d.__proto__ = b;
    } || function (d, b) {
        for (var p in b) {
            if (b.hasOwnProperty(p)) d[p] = b[p];
        }
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() {
            this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
}();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var cx = require("classnames");
var TypeChooser = /** @class */function (_super) {
    __extends(TypeChooser, _super);
    function TypeChooser() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    TypeChooser.prototype.render = function () {
        var modelSelected = this.props.modelSelected;
        return React.createElement(
            "div",
            { className: "root", "data-jsx": 3949343216
            },
            React.createElement(_style2.default, {
                styleId: 3949343216,
                css: ".root[data-jsx=\"3949343216\"] {color: rgba(255, 255, 255, .25);}.choice[data-jsx=\"3949343216\"] {padding: 4px 10px 5px 10px;margin: 0 -2px;background-color: rgba(23, 42, 58, .10)}.choice[data-jsx=\"3949343216\"].active[data-jsx=\"3949343216\"] {padding: 5px 10px 7px 10px;z-index: 2;}.fw6,\n.root[data-jsx=\"3949343216\"] {font-weight: 600;}.flex,\n.root[data-jsx=\"3949343216\"],\n.chooser[data-jsx=\"3949343216\"],\n.choice[data-jsx=\"3949343216\"] {display: -ms-flexbox;display: flex;}.itemsCenter,\n.root[data-jsx=\"3949343216\"],\n.chooser[data-jsx=\"3949343216\"],\n.choice[data-jsx=\"3949343216\"] {-webkit-box-align: center;-ms-flex-align: center;-ms-grid-row-align: center;align-items: center;}.f14,\n.root[data-jsx=\"3949343216\"] {font-size: 14px;}.flex,\n.root[data-jsx=\"3949343216\"],\n.chooser[data-jsx=\"3949343216\"],\n.choice[data-jsx=\"3949343216\"] {display: -ms-flexbox;display: flex;}.itemsCenter,\n.root[data-jsx=\"3949343216\"],\n.chooser[data-jsx=\"3949343216\"],\n.choice[data-jsx=\"3949343216\"] {-webkit-box-align: center;-ms-flex-align: center;-ms-grid-row-align: center;align-items: center;}.br2,\n.choice[data-jsx=\"3949343216\"] {border-radius: 2px;}.relative,\n.choice[data-jsx=\"3949343216\"] {position: relative;}.pointer:hover,\n.choice[data-jsx=\"3949343216\"]:hover {cursor: pointer;}.ttu,\n.choice[data-jsx=\"3949343216\"] {text-transform: uppercase;}.flex,\n.root[data-jsx=\"3949343216\"],\n.chooser[data-jsx=\"3949343216\"],\n.choice[data-jsx=\"3949343216\"] {display: -ms-flexbox;display: flex;}.itemsCenter,\n.root[data-jsx=\"3949343216\"],\n.chooser[data-jsx=\"3949343216\"],\n.choice[data-jsx=\"3949343216\"] {-webkit-box-align: center;-ms-flex-align: center;-ms-grid-row-align: center;align-items: center;}.darkBlue80,\n.choice[data-jsx=\"3949343216\"] {color: rgba(23,42,58,.8);}.bgBlue,\n.choice[data-jsx=\"3949343216\"].active[data-jsx=\"3949343216\"] {background-color: #2a7ed2;}.white,\n.choice[data-jsx=\"3949343216\"].active[data-jsx=\"3949343216\"] {color: #fff;}"
            }),
            React.createElement(
                "div",
                { className: "chooser", "data-jsx": 3949343216
                },
                React.createElement(
                    "div",
                    { className: cx('choice', {
                            active: modelSelected
                        }), onClick: this.props.onToggle, "data-jsx": 3949343216
                    },
                    "Model"
                ),
                React.createElement(
                    "div",
                    { className: cx('choice', {
                            active: !modelSelected
                        }), onClick: this.props.onToggle, "data-jsx": 3949343216
                    },
                    "Relation"
                )
            )
        );
    };
    return TypeChooser;
}(React.Component);
exports.default = TypeChooser;
//# sourceMappingURL=TypeChooser.jsx.map