"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var cx = require("classnames");
var TypeChooser = /** @class */ (function (_super) {
    __extends(TypeChooser, _super);
    function TypeChooser() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    TypeChooser.prototype.render = function () {
        var modelSelected = this.props.modelSelected;
        return (<div className="root">
        <style jsx={true}>{"\n          .root {\n            @p: .fw6, .flex, .itemsCenter, .f14;\n            color: rgba(255, 255, 255, .25);\n          }\n\n          .chooser {\n            @p: .flex, .itemsCenter;\n          }\n\n          .choice {\n            @p: .br2,\n              .relative,\n              .pointer,\n              .ttu,\n              .flex,\n              .itemsCenter,\n              .darkBlue80;\n            padding: 4px 10px 5px 10px;\n            margin: 0 -2px;\n            background-color: $darkBlue10;\n            &.active {\n              @p: .bgBlue, .white;\n              padding: 5px 10px 7px 10px;\n              z-index: 2;\n            }\n          }\n        "}</style>

        <div className="chooser">
          <div className={cx('choice', {
            active: modelSelected,
        })} onClick={this.props.onToggle}>
            Model
          </div>
          <div className={cx('choice', {
            active: !modelSelected,
        })} onClick={this.props.onToggle}>
            Relation
          </div>
        </div>
      </div>);
    };
    return TypeChooser;
}(React.Component));
exports.default = TypeChooser;
//# sourceMappingURL=TypeChooser.jsx.map