"use strict";

var _style = require("styled-jsx/style");

var _style2 = _interopRequireDefault(_style);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var __extends = undefined && undefined.__extends || function () {
    var extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function (d, b) {
        d.__proto__ = b;
    } || function (d, b) {
        for (var p in b) {
            if (b.hasOwnProperty(p)) d[p] = b[p];
        }
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() {
            this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
}();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var cx = require("classnames");
var graphcool_styles_1 = require("graphcool-styles");
var ViewAs = /** @class */function (_super) {
    __extends(ViewAs, _super);
    function ViewAs() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.handleChangeAdminViewer = function () {
            _this.props.onChangeViewer('ADMIN');
        };
        _this.handleChangeEveryoneViewer = function () {
            _this.props.onChangeViewer('EVERYONE');
        };
        _this.handleChangeUserViewer = function () {
            _this.props.onChangeViewer('USER');
        };
        return _this;
    }
    ViewAs.prototype.render = function () {
        var _a = this.props,
            selectedViewer = _a.selectedViewer,
            showSelectUser = _a.showSelectUser;
        return React.createElement(
            "div",
            { className: "root", "data-jsx": 643419388
            },
            React.createElement(_style2.default, {
                styleId: 643419388,
                css: ".root[data-jsx=\"643419388\"] {color: rgba(255, 255, 255, .25);}.viewer[data-jsx=\"643419388\"] {padding: 5px 13px 6px 13px;margin: 0 -2px;background-color: #08131b}.viewer[data-jsx=\"643419388\"].active[data-jsx=\"643419388\"] {padding: 7px 9px 8px 9px;z-index: 2;}.fw6,\n.root[data-jsx=\"643419388\"] {font-weight: 600;}.flex,\n.root[data-jsx=\"643419388\"],\n.chooser[data-jsx=\"643419388\"],\n.viewer[data-jsx=\"643419388\"] {display: -ms-flexbox;display: flex;}.itemsCenter,\n.root[data-jsx=\"643419388\"],\n.chooser[data-jsx=\"643419388\"],\n.viewer[data-jsx=\"643419388\"] {-webkit-box-align: center;-ms-flex-align: center;-ms-grid-row-align: center;align-items: center;}.ml16,\n.chooser[data-jsx=\"643419388\"] {margin-left: 16px;}.flex,\n.root[data-jsx=\"643419388\"],\n.chooser[data-jsx=\"643419388\"],\n.viewer[data-jsx=\"643419388\"] {display: -ms-flexbox;display: flex;}.itemsCenter,\n.root[data-jsx=\"643419388\"],\n.chooser[data-jsx=\"643419388\"],\n.viewer[data-jsx=\"643419388\"] {-webkit-box-align: center;-ms-flex-align: center;-ms-grid-row-align: center;align-items: center;}.br2,\n.viewer[data-jsx=\"643419388\"] {border-radius: 2px;}.relative,\n.viewer[data-jsx=\"643419388\"] {position: relative;}.pointer:hover,\n.viewer[data-jsx=\"643419388\"]:hover {cursor: pointer;}.ttu,\n.viewer[data-jsx=\"643419388\"] {text-transform: uppercase;}.flex,\n.root[data-jsx=\"643419388\"],\n.chooser[data-jsx=\"643419388\"],\n.viewer[data-jsx=\"643419388\"] {display: -ms-flexbox;display: flex;}.itemsCenter,\n.root[data-jsx=\"643419388\"],\n.chooser[data-jsx=\"643419388\"],\n.viewer[data-jsx=\"643419388\"] {-webkit-box-align: center;-ms-flex-align: center;-ms-grid-row-align: center;align-items: center;}.bgLightGray,\n.viewer[data-jsx=\"643419388\"].active[data-jsx=\"643419388\"] {background-color: #c3bfc4;}.darkerBlue,\n.viewer[data-jsx=\"643419388\"].active[data-jsx=\"643419388\"] {color: #0f202e;}.ml6,\n.viewer-text[data-jsx=\"643419388\"] {margin-left: 6px;}.nowrap,\n.viewer-text[data-jsx=\"643419388\"] {white-space: nowrap;}"
            }),
            React.createElement(
                "div",
                { className: "nowrap", "data-jsx": 643419388
                },
                "View As"
            ),
            React.createElement(
                "div",
                { className: "chooser", "data-jsx": 643419388
                },
                React.createElement(
                    "div",
                    { className: cx('viewer', {
                            active: selectedViewer === 'ADMIN'
                        }), onClick: this.handleChangeAdminViewer, "data-jsx": 643419388
                    },
                    "Admin"
                ),
                React.createElement(
                    "div",
                    { className: cx('viewer', {
                            active: selectedViewer === 'EVERYONE'
                        }), onClick: this.handleChangeEveryoneViewer, "data-jsx": 643419388
                    },
                    React.createElement(graphcool_styles_1.Icon, { src: require('graphcool-styles/icons/fill/world.svg'), color: selectedViewer === 'EVERYONE' ? graphcool_styles_1.$v.darkerBlue : graphcool_styles_1.$v.white30, width: 14, height: 14 }),
                    React.createElement(
                        "div",
                        { className: "viewer-text", "data-jsx": 643419388
                        },
                        "Everyone"
                    )
                ),
                showSelectUser && React.createElement(
                    "div",
                    { className: cx('viewer', {
                            active: selectedViewer === 'USER'
                        }), onClick: this.handleChangeUserViewer, "data-jsx": 643419388
                    },
                    React.createElement(graphcool_styles_1.Icon, { src: require('graphcool-styles/icons/fill/user.svg'), color: selectedViewer === 'USER' ? graphcool_styles_1.$v.darkerBlue : graphcool_styles_1.$v.white30, width: 14, height: 14 }),
                    React.createElement(
                        "div",
                        { className: "viewer-text", "data-jsx": 643419388
                        },
                        "Select User"
                    )
                )
            )
        );
    };
    return ViewAs;
}(React.Component);
exports.default = ViewAs;
//# sourceMappingURL=ViewerChooser.jsx.map