"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react"); // tslint:disable-line
var cx = require("classnames");
var VariableTag = function (_a) {
    var onClick = _a.onClick, variable = _a.variable, active = _a.active, className = _a.className;
    var name = variable.name;
    return (<div className={cx('variable-tag', active ? 'active' : '', className)} onClick={onClick}>
      <style jsx={true}>{"\n        .variable-tag {\n          @p: .br2, .white30, .flex, .itemsCenter;\n          padding: 6px 6px 6px 9px;\n        }\n        .variable-tag.active {\n          @p: .bgWhite10, .white60;\n        }\n        .name {\n          @p: .f14, .fw4, .code, .lhSolid;\n        }\n        .type {\n          @p: .code, .f12, .br2, .bgWhite04, .white60, .ml6;\n          padding: 4px 5px 3px 5px;\n        }\n      "}</style>
      <div className="name">
        {name}
      </div>
      <div className="type">
        {renderType(variable)}
      </div>
    </div>);
};
function renderType(variable) {
    return variable.typeName + '!';
}
exports.renderType = renderType;
exports.default = VariableTag;
//# sourceMappingURL=VariableTag.jsx.map