import { Session } from '../types';
export default class PlaygroundStorage {
    project: any;
    private endpoint;
    private storages;
    private executedQueryCount;
    constructor(endpoint: string);
    executedQuery(): void;
    hasExecutedQuery(): boolean;
    getSessionStorage(sessionId: string): any;
    setState(project: any): void;
    getSessions(): any[];
    removeSession(session: Session): void;
    saveSession(session: Session, save?: boolean): void;
    syncHistory(history: Session[]): void;
    addToHistory(session: Session): void;
    getHistory(): any;
    setItem(key: string, value: string): void;
    getItem(key: string): any;
    saveProject(): void;
    private getProject();
    private getExecutedQueryCount();
}
