/// <reference types="react" />
import * as React from 'react';
export interface State {
    startIndex: number;
    stopIndex: number;
    users: any[];
    count: number;
    query: string;
    selectedRowIndex: number;
    scrollToIndex?: number;
}
export interface Props {
    adminAuthToken: string;
    userFields: any[];
    onSelectUser: (user: any) => void;
    isOpen: boolean;
    onRequestClose: () => void;
    endpointUrl: string;
    userModelName: string;
    modelNames: string[];
    onChangeUserModelName: (modelName: string) => void;
}
export default class SelectUserPopup extends React.Component<Props, State> {
    private style;
    private lastQuery;
    constructor(props: any);
    componentWillReceiveProps(nextProps: Props): void;
    componentDidUpdate(props: any): void;
    render(): JSX.Element;
    private changeUserModelName;
    private handleRowSelection;
    private handleSearch;
    getUsers: ({startIndex, stopIndex}: {
        startIndex: number;
        stopIndex: number;
    }, userFieldsInput?: string[] | undefined) => void;
}
