"use strict";

var _style = require("styled-jsx/style");

var _style2 = _interopRequireDefault(_style);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var __extends = undefined && undefined.__extends || function () {
  var extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function (d, b) {
    d.__proto__ = b;
  } || function (d, b) {
    for (var p in b) {
      if (b.hasOwnProperty(p)) d[p] = b[p];
    }
  };
  return function (d, b) {
    extendStatics(d, b);
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
}();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var Icon_1 = require("graphcool-styles/dist/components/Icon/Icon");
var graphcool_styles_1 = require("graphcool-styles");
var ToggleButton_1 = require("./ToggleButton");
var Tooltip_1 = require("./Tooltip");
var cn = require("classnames");
var Settings = /** @class */function (_super) {
  __extends(Settings, _super);
  function Settings(props) {
    var _this = _super.call(this, props) || this;
    _this.handleChangeEndpoint = function (e) {
      if (typeof _this.props.onChangeEndpoint === 'function') {
        _this.props.onChangeEndpoint(e.target.value);
      }
    };
    _this.handleChangeSubscriptionsEndpoint = function (e) {
      if (typeof _this.props.onChangeSubscriptionsEndpoint === 'function') {
        _this.props.onChangeSubscriptionsEndpoint(e.target.value);
      }
    };
    _this.toggleTooltip = function () {
      _this.setState(function (state) {
        return { open: !state.open };
      });
    };
    _this.state = {
      open: false,
      endpointUrl: props.endpoint
    };
    return _this;
  }
  Settings.prototype.render = function () {
    var open = this.state.open;
    var _a = this.props,
        theme = _a.theme,
        onToggleReload = _a.onToggleReload,
        autoReload = _a.autoReload,
        onReload = _a.onReload,
        useVim = _a.useVim,
        onToggleUseVim = _a.onToggleUseVim;
    return React.createElement(
      "div",
      { className: "settings", "data-jsx": 1029035313
      },
      React.createElement(_style2.default, {
        styleId: 1029035313,
        css: ".settings[data-jsx=\"1029035313\"] {z-index: 1005;right: 20px;top: 17px;}.tooltip-text[data-jsx=\"1029035313\"] {letter-spacing: 0.53px;}.icon[data-jsx=\"1029035313\"]:hover .settings-icon svg,.icon.open[data-jsx=\"1029035313\"] .settings-icon svg {fill: rgba(255, 255, 255, .6);}.icon.light[data-jsx=\"1029035313\"]:hover .settings-icon svg,.icon.light.open[data-jsx=\"1029035313\"] .settings-icon svg {fill: rgba(23, 42, 58, .6);}.tooltip[data-jsx=\"1029035313\"] {right: -21px;}.row[data-jsx=\"1029035313\"] {min-width: 245px;}.button[data-jsx=\"1029035313\"] {background: #e9eaeb;padding: 5px 9px 6px 9px;}.button[data-jsx=\"1029035313\"]:hover {background: #dbdcdc;}.inner-row[data-jsx=\"1029035313\"] {padding-right: 20px;}.absolute,\n.settings[data-jsx=\"1029035313\"],\n.tooltip[data-jsx=\"1029035313\"] {position: absolute;}.mr10,\n.tooltip-text[data-jsx=\"1029035313\"] {margin-right: 10px;}.darkBlue50,\n.tooltip-text[data-jsx=\"1029035313\"],\n.button[data-jsx=\"1029035313\"]:hover {color: rgba(23,42,58,.5);}.fw6,\n.tooltip-text[data-jsx=\"1029035313\"],\n.button[data-jsx=\"1029035313\"],\ninput[data-jsx=\"1029035313\"] {font-weight: 600;}.ttu,\n.tooltip-text[data-jsx=\"1029035313\"],\n.button[data-jsx=\"1029035313\"] {text-transform: uppercase;}.f14,\n.tooltip-text[data-jsx=\"1029035313\"],\n.button[data-jsx=\"1029035313\"] {font-size: 14px;}.pointer:hover,\n.icon[data-jsx=\"1029035313\"]:hover {cursor: pointer;}.relative,\n.icon[data-jsx=\"1029035313\"] {position: relative;}.absolute,\n.settings[data-jsx=\"1029035313\"],\n.tooltip[data-jsx=\"1029035313\"] {position: absolute;}.flex,\n.row[data-jsx=\"1029035313\"] {display: -ms-flexbox;display: flex;}.itemsCenter,\n.row[data-jsx=\"1029035313\"] {-webkit-box-align: center;-ms-flex-align: center;-ms-grid-row-align: center;align-items: center;}.justifyBetween,\n.row[data-jsx=\"1029035313\"] {-ms-flex-pack: justify;justify-content: space-between;}.mt16,\n.row[data-jsx=\"1029035313\"] + .row[data-jsx=\"1029035313\"] {margin-top: 16px;}.br2,\n.button[data-jsx=\"1029035313\"],\ninput[data-jsx=\"1029035313\"] {border-radius: 2px;}.f14,\n.tooltip-text[data-jsx=\"1029035313\"],\n.button[data-jsx=\"1029035313\"] {font-size: 14px;}.fw6,\n.tooltip-text[data-jsx=\"1029035313\"],\n.button[data-jsx=\"1029035313\"],\ninput[data-jsx=\"1029035313\"] {font-weight: 600;}.ttu,\n.tooltip-text[data-jsx=\"1029035313\"],\n.button[data-jsx=\"1029035313\"] {text-transform: uppercase;}.darkBlue40,\n.button[data-jsx=\"1029035313\"] {color: rgba(23,42,58,.4);}.darkBlue50,\n.tooltip-text[data-jsx=\"1029035313\"],\n.button[data-jsx=\"1029035313\"]:hover {color: rgba(23,42,58,.5);}.bgDarkBlue10,\ninput[data-jsx=\"1029035313\"] {background-color: rgba(23,42,58,.1);}.br2,\n.button[data-jsx=\"1029035313\"],\ninput[data-jsx=\"1029035313\"] {border-radius: 2px;}.pv6,\ninput[data-jsx=\"1029035313\"] {padding-top: 6px;padding-bottom: 6px;}.ph10,\ninput[data-jsx=\"1029035313\"] {padding-left: 10px;padding-right: 10px;}.fw6,\n.tooltip-text[data-jsx=\"1029035313\"],\n.button[data-jsx=\"1029035313\"],\ninput[data-jsx=\"1029035313\"] {font-weight: 600;}.darkBlue,\ninput[data-jsx=\"1029035313\"] {color: #172a3a;}.f12,\ninput[data-jsx=\"1029035313\"] {font-size: 12px;}.db,\ninput[data-jsx=\"1029035313\"] {display: block;}.w100,\ninput[data-jsx=\"1029035313\"],\n.inner-row[data-jsx=\"1029035313\"] {width: 100%;}.w100,\ninput[data-jsx=\"1029035313\"],\n.inner-row[data-jsx=\"1029035313\"] {width: 100%;}"
      }),
      React.createElement(
        "div",
        { className: cn('icon', theme, { open: open }), "data-jsx": 1029035313
        },
        React.createElement(Icon_1.default, { src: require('graphcool-styles/icons/fill/settings.svg'), color: theme === 'light' ? graphcool_styles_1.$v.darkBlue20 : graphcool_styles_1.$v.white20, width: 23, height: 23, onClick: this.toggleTooltip, className: 'settings-icon' }),
        React.createElement(
          "div",
          { className: "tooltip", "data-jsx": 1029035313
          },
          React.createElement(
            Tooltip_1.default,
            { open: open, onClose: this.toggleTooltip, anchorOrigin: {
                horizontal: 'right',
                vertical: 'bottom'
              } },
            React.createElement(
              "div",
              {
                "data-jsx": 1029035313
              },
              React.createElement(
                "div",
                { className: "row", "data-jsx": 1029035313
                },
                React.createElement(
                  "span",
                  { className: "tooltip-text", onClick: this.props.onToggleTheme, "data-jsx": 1029035313
                  },
                  "LIGHT MODE",
                  ' '
                ),
                React.createElement(ToggleButton_1.default, { checked: theme === 'light', onChange: this.props.onToggleTheme })
              ),
              React.createElement(
                "div",
                { className: "row", "data-jsx": 1029035313
                },
                React.createElement(
                  "span",
                  { className: "tooltip-text", onClick: onToggleUseVim, "data-jsx": 1029035313
                  },
                  "VIM MODE",
                  ' '
                ),
                React.createElement(ToggleButton_1.default, { checked: useVim, onChange: onToggleUseVim })
              ),
              React.createElement(
                "div",
                { className: "row", "data-jsx": 1029035313
                },
                React.createElement(
                  "span",
                  { className: "tooltip-text", onClick: onToggleReload, "data-jsx": 1029035313
                  },
                  "AUTO-RELOAD SCHEMA",
                  ' '
                ),
                React.createElement(ToggleButton_1.default, { checked: autoReload, onChange: onToggleReload })
              ),
              React.createElement(
                "div",
                { className: "row", "data-jsx": 1029035313
                },
                React.createElement(
                  "div",
                  { className: "button", onClick: onReload, "data-jsx": 1029035313
                  },
                  "Reload Schema"
                )
              ),
              React.createElement(
                "div",
                { className: "row", "data-jsx": 1029035313
                },
                React.createElement(
                  "div",
                  { className: "inner-row", "data-jsx": 1029035313
                  },
                  React.createElement(
                    "div",
                    {
                      "data-jsx": 1029035313
                    },
                    "Endpoint"
                  ),
                  React.createElement("input", { value: this.props.endpoint, placeholder: "Enter an endpoint...", onChange: this.handleChangeEndpoint, "data-jsx": 1029035313
                  })
                )
              ),
              React.createElement(
                "div",
                { className: "row", "data-jsx": 1029035313
                },
                React.createElement(
                  "div",
                  { className: "inner-row", "data-jsx": 1029035313
                  },
                  React.createElement(
                    "div",
                    {
                      "data-jsx": 1029035313
                    },
                    "Subscriptions Endpoint"
                  ),
                  React.createElement("input", { value: this.props.subscriptionsEndpoint, placeholder: "Enter a subscriptions endpoint...", onChange: this.handleChangeSubscriptionsEndpoint, "data-jsx": 1029035313
                  })
                )
              )
            )
          )
        )
      )
    );
  };
  return Settings;
}(React.Component);
exports.default = Settings;
//# sourceMappingURL=Settings.jsx.map