"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var cn = require("classnames");
function Toggle(_a) {
    var choices = _a.choices, onChange = _a.onChange, activeChoice = _a.activeChoice;
    return (<div className="toggle">
      <style jsx={true}>{"\n        .toggle {\n          @p: .flex;\n        }\n        .choice {\n          @p: .f12, .ttu, .br2, .mr6, .fw6, .black40, .pointer;\n          letter-spacing: 0.2px;\n          padding: 4px 8px;\n        }\n        .choice.active {\n          @p: .black70;\n          background: #b8bfc4;\n        }\n        .choice:not(.active):hover {\n          @p: .black70;\n        }\n      "}</style>
      {choices.map(function (choice, i) {
        return <div className={cn('choice', { active: choice === activeChoice })} key={choice} 
        // tslint:disable-next-line
        onClick={function () { return onChange(choice, i); }}>
          {choice}
        </div>;
    })}
    </div>);
}
exports.default = Toggle;
//# sourceMappingURL=Toggle.jsx.map