"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var cx = require("classnames");
var ToggleButton = function (_a) {
    var checked = _a.checked, onChange = _a.onChange, className = _a.className;
    return (<div className={cx('toggle-button', className)} onClick={onChange}>
      <style jsx={true}>{"\n        .toggle-button {\n          @p: .relative, .dib;\n          width: 39px;\n          height: 21px;\n        }\n        .toggle-slider {\n          @p: .absolute, .pointer, .top0, .left0, .right0, .bottom0, .bgBlack40;\n          transition: transform 70ms linear;\n          border-radius: 23px;\n          &:before {\n            position: absolute;\n            content: \"\";\n            height: 23px;\n            width: 23px;\n            left: -1px;\n            bottom: -1px;\n            background-color: white;\n            border-radius: 50%;\n            box-shadow: 0 1px 3px rgba(0, 0, 0, .25);\n            transition: transform 70ms linear;\n          }\n        }\n        .toggle-input {\n          display: none;\n          &:checked + div {\n            @p: .bgGreen;\n          }\n          &:checked + div:before {\n            transform: translateX(19px);\n          }\n        }\n      "}</style>
      <input className="toggle-input" type="checkbox" checked={checked} readOnly={true}/>
      <div className="toggle-slider"/>
    </div>);
};
exports.default = ToggleButton;
//# sourceMappingURL=ToggleButton.jsx.map