import { AddStackAction, ChangeKeyMoveAction, ChangeWidthDocsAction, SetStacksAction, ToggleDocsAction } from '../actions/graphiql-docs';
export declare type GraphiqlDocsAction = AddStackAction | ToggleDocsAction | ChangeWidthDocsAction | ChangeKeyMoveAction | SetStacksAction;
export interface DocsState {
    readonly navStack: any[];
    readonly docsOpen: boolean;
    readonly docsWidth: number;
    readonly keyMove: boolean;
}
export default function graphiqlDocsReducer(state: DocsState | undefined, action: GraphiqlDocsAction): DocsState;
