/// <reference types="react" />
import * as React from 'react';
export interface Props {
    endpoint?: string;
    subscriptionEndpoint?: string;
}
export interface State {
    endpoint: string;
    subscriptionPrefix?: string;
    subscriptionEndpoint: string;
    shareUrl?: string;
    platformToken?: string;
}
declare class MiddlewareApp extends React.Component<{}, State> {
    constructor(props: Props);
    componentWillMount(): void;
    render(): JSX.Element;
    private share;
    private normalizeEndpoint(endpoint);
    private handleChangeEndpoint;
    private handleChangeSubscriptionsEndpoint;
    private getTitle();
}
export default MiddlewareApp;
