"use strict";

var _style = require("styled-jsx/style");

var _style2 = _interopRequireDefault(_style);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var __extends = undefined && undefined.__extends || function () {
    var extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function (d, b) {
        d.__proto__ = b;
    } || function (d, b) {
        for (var p in b) {
            if (b.hasOwnProperty(p)) d[p] = b[p];
        }
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() {
            this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
}();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var Icon_1 = require("graphcool-styles/dist/components/Icon/Icon");
var graphcool_styles_1 = require("graphcool-styles");
var Tooltip_1 = require("../Tooltip");
var cn = require("classnames");
var TypeChooser_1 = require("./TypeChooser");
var Button_1 = require("../Button");
var NewPermissionTab = /** @class */function (_super) {
    __extends(NewPermissionTab, _super);
    function NewPermissionTab(props) {
        var _this = _super.call(this, props) || this;
        _this.handleModelNameChange = function (e) {
            _this.setState({ modelName: e.target.value });
        };
        _this.handleRelationNameChange = function (e) {
            _this.setState({ relationName: e.target.value });
        };
        _this.newTab = function () {
            _this.toggleTooltip();
            _this.props.onNewPermissionTab({
                relationName: _this.state.modelSelected ? undefined : _this.state.relationName,
                modelName: _this.state.modelSelected ? _this.state.modelName : undefined
            });
        };
        _this.toggleType = function () {
            _this.setState(function (state) {
                return { modelSelected: !state.modelSelected };
            });
        };
        //
        // private handleChangeEndpoint = e => {
        //   if (typeof this.props.onChangeEndpoint === 'function') {
        //     this.props.onChangeEndpoint(e.target.value)
        //   }
        // }
        //
        // private handleChangeSubscriptionsEndpoint = e => {
        //   if (typeof this.props.onChangeSubscriptionsEndpoint === 'function') {
        //     this.props.onChangeSubscriptionsEndpoint(e.target.value)
        //   }
        // }
        _this.toggleTooltip = function () {
            _this.setState(function (state) {
                return { open: !state.open };
            });
        };
        _this.state = {
            open: false,
            modelSelected: true,
            modelName: props.serviceInformation.models && props.serviceInformation.models.length > 0 ? props.serviceInformation.models[0].name : '',
            relationName: props.serviceInformation.relations && props.serviceInformation.relations.length > 0 ? props.serviceInformation.relations[0].name : ''
        };
        return _this;
    }
    NewPermissionTab.prototype.render = function () {
        var _a = this.state,
            open = _a.open,
            modelSelected = _a.modelSelected,
            modelName = _a.modelName,
            relationName = _a.relationName;
        var _b = this.props,
            theme = _b.theme,
            serviceInformation = _b.serviceInformation;
        return React.createElement(
            "div",
            { className: "settings", "data-jsx": 2904907959
            },
            React.createElement(_style2.default, {
                styleId: 2904907959,
                css: ".settings[data-jsx=\"2904907959\"] {z-index: 1005;right: 203px;top: 17px;}.tooltip-text[data-jsx=\"2904907959\"] {letter-spacing: 0.53px;}.icon[data-jsx=\"2904907959\"]:hover .permission-icon svg,.icon.open[data-jsx=\"2904907959\"] .permission-icon svg {fill: rgba(255, 255, 255, .6);}.icon.light[data-jsx=\"2904907959\"]:hover .permission-icon svg,.icon.light.open[data-jsx=\"2904907959\"] .permission-icon svg {fill: rgba(23, 42, 58, .6);}.icon[data-jsx=\"2904907959\"]:hover .stroke svg,.icon.open[data-jsx=\"2904907959\"] .stroke svg {fill: rgba(255, 255, 255, .6);stroke: rgba(255, 255, 255, .6);}.icon.light[data-jsx=\"2904907959\"]:hover .stroke svg,.icon.light.open[data-jsx=\"2904907959\"] .stroke svg {fill: rgba(23, 42, 58, .6);stroke: rgba(23, 42, 58, .6);}.icon[data-jsx=\"2904907959\"] .permission-icon[data-jsx=\"2904907959\"] .plus {right: -5px;top: 12px;}.tooltip[data-jsx=\"2904907959\"] {right: -21px;}.row[data-jsx=\"2904907959\"] {min-width: 245px;}.button[data-jsx=\"2904907959\"] {background: #e9eaeb;padding: 5px 9px 6px 9px;}.button[data-jsx=\"2904907959\"]:hover {background: #dbdcdc;}select[data-jsx=\"2904907959\"] {background: none;padding-right: 30px;background: rgba(23, 42, 58, .04);border: none;border-radius: 2px;-webkit-appearance: none;-moz-appearance: none;-webkit-appearance: none;-moz-appearance: none;appearance: none;width: 100%;margin: 0;outline: none;padding: .5em .8em .6em .8em;box-sizing: border-box;font-size: 16px;}.arrow[data-jsx=\"2904907959\"] {pointer-events: none;top: 6px;right: 8px;}.absolute,\n.settings[data-jsx=\"2904907959\"],\n.icon[data-jsx=\"2904907959\"] .permission-icon[data-jsx=\"2904907959\"] .plus,\n.tooltip[data-jsx=\"2904907959\"],\n.arrow[data-jsx=\"2904907959\"] {position: absolute;}.mr10,\n.tooltip-text[data-jsx=\"2904907959\"] {margin-right: 10px;}.darkBlue50,\n.tooltip-text[data-jsx=\"2904907959\"],\n.button[data-jsx=\"2904907959\"]:hover {color: rgba(23,42,58,.5);}.fw6,\n.tooltip-text[data-jsx=\"2904907959\"],\n.button[data-jsx=\"2904907959\"],\ninput[data-jsx=\"2904907959\"],\nb[data-jsx=\"2904907959\"] {font-weight: 600;}.ttu,\n.tooltip-text[data-jsx=\"2904907959\"],\n.button[data-jsx=\"2904907959\"] {text-transform: uppercase;}.f14,\n.tooltip-text[data-jsx=\"2904907959\"],\n.button[data-jsx=\"2904907959\"] {font-size: 14px;}.pointer:hover,\n.icon[data-jsx=\"2904907959\"]:hover {cursor: pointer;}.relative,\n.icon[data-jsx=\"2904907959\"],\n.icon[data-jsx=\"2904907959\"] .permission-icon[data-jsx=\"2904907959\"],\n.select[data-jsx=\"2904907959\"],\nselect[data-jsx=\"2904907959\"] {position: relative;}.relative,\n.icon[data-jsx=\"2904907959\"],\n.icon[data-jsx=\"2904907959\"] .permission-icon[data-jsx=\"2904907959\"],\n.select[data-jsx=\"2904907959\"],\nselect[data-jsx=\"2904907959\"] {position: relative;}.absolute,\n.settings[data-jsx=\"2904907959\"],\n.icon[data-jsx=\"2904907959\"] .permission-icon[data-jsx=\"2904907959\"] .plus,\n.tooltip[data-jsx=\"2904907959\"],\n.arrow[data-jsx=\"2904907959\"] {position: absolute;}.absolute,\n.settings[data-jsx=\"2904907959\"],\n.icon[data-jsx=\"2904907959\"] .permission-icon[data-jsx=\"2904907959\"] .plus,\n.tooltip[data-jsx=\"2904907959\"],\n.arrow[data-jsx=\"2904907959\"] {position: absolute;}.flex,\n.row[data-jsx=\"2904907959\"],\n.selects[data-jsx=\"2904907959\"] {display: -ms-flexbox;display: flex;}.itemsCenter,\n.row[data-jsx=\"2904907959\"] {-webkit-box-align: center;-ms-flex-align: center;-ms-grid-row-align: center;align-items: center;}.justifyBetween,\n.row[data-jsx=\"2904907959\"] {-ms-flex-pack: justify;justify-content: space-between;}.mt16,\n.row[data-jsx=\"2904907959\"] + .row[data-jsx=\"2904907959\"] {margin-top: 16px;}.br2,\n.button[data-jsx=\"2904907959\"],\ninput[data-jsx=\"2904907959\"] {border-radius: 2px;}.f14,\n.tooltip-text[data-jsx=\"2904907959\"],\n.button[data-jsx=\"2904907959\"] {font-size: 14px;}.fw6,\n.tooltip-text[data-jsx=\"2904907959\"],\n.button[data-jsx=\"2904907959\"],\ninput[data-jsx=\"2904907959\"],\nb[data-jsx=\"2904907959\"] {font-weight: 600;}.ttu,\n.tooltip-text[data-jsx=\"2904907959\"],\n.button[data-jsx=\"2904907959\"] {text-transform: uppercase;}.darkBlue40,\n.button[data-jsx=\"2904907959\"] {color: rgba(23,42,58,.4);}.darkBlue50,\n.tooltip-text[data-jsx=\"2904907959\"],\n.button[data-jsx=\"2904907959\"]:hover {color: rgba(23,42,58,.5);}.bgDarkBlue10,\ninput[data-jsx=\"2904907959\"] {background-color: rgba(23,42,58,.1);}.br2,\n.button[data-jsx=\"2904907959\"],\ninput[data-jsx=\"2904907959\"] {border-radius: 2px;}.pv6,\ninput[data-jsx=\"2904907959\"] {padding-top: 6px;padding-bottom: 6px;}.ph10,\ninput[data-jsx=\"2904907959\"] {padding-left: 10px;padding-right: 10px;}.fw6,\n.tooltip-text[data-jsx=\"2904907959\"],\n.button[data-jsx=\"2904907959\"],\ninput[data-jsx=\"2904907959\"],\nb[data-jsx=\"2904907959\"] {font-weight: 600;}.darkBlue,\ninput[data-jsx=\"2904907959\"] {color: #172a3a;}.f12,\ninput[data-jsx=\"2904907959\"] {font-size: 12px;}.db,\ninput[data-jsx=\"2904907959\"],\nb[data-jsx=\"2904907959\"] {display: block;}.w100,\ninput[data-jsx=\"2904907959\"] {width: 100%;}.fw6,\n.tooltip-text[data-jsx=\"2904907959\"],\n.button[data-jsx=\"2904907959\"],\ninput[data-jsx=\"2904907959\"],\nb[data-jsx=\"2904907959\"] {font-weight: 600;}.db,\ninput[data-jsx=\"2904907959\"],\nb[data-jsx=\"2904907959\"] {display: block;}.mb10,\n.permission-type[data-jsx=\"2904907959\"] {margin-bottom: 10px;}.mb25,\n.chooser[data-jsx=\"2904907959\"] {margin-bottom: 25px;}.relative,\n.icon[data-jsx=\"2904907959\"],\n.icon[data-jsx=\"2904907959\"] .permission-icon[data-jsx=\"2904907959\"],\n.select[data-jsx=\"2904907959\"],\nselect[data-jsx=\"2904907959\"] {position: relative;}.flex1,\n.flexAuto,\n.select[data-jsx=\"2904907959\"] {min-width: 0;min-height: 0;}.flexAuto,\n.select[data-jsx=\"2904907959\"] {-ms-flex: 1 1 auto;flex: 1 1 auto;}.ml16,\n.select[data-jsx=\"2904907959\"] + .select[data-jsx=\"2904907959\"] {margin-left: 16px;}.relative,\n.icon[data-jsx=\"2904907959\"],\n.icon[data-jsx=\"2904907959\"] .permission-icon[data-jsx=\"2904907959\"],\n.select[data-jsx=\"2904907959\"],\nselect[data-jsx=\"2904907959\"] {position: relative;}.darkBlue80,\nselect[data-jsx=\"2904907959\"],\n.arrow[data-jsx=\"2904907959\"] {color: rgba(23,42,58,.8);}.absolute,\n.settings[data-jsx=\"2904907959\"],\n.icon[data-jsx=\"2904907959\"] .permission-icon[data-jsx=\"2904907959\"] .plus,\n.tooltip[data-jsx=\"2904907959\"],\n.arrow[data-jsx=\"2904907959\"] {position: absolute;}.darkBlue80,\nselect[data-jsx=\"2904907959\"],\n.arrow[data-jsx=\"2904907959\"] {color: rgba(23,42,58,.8);}.flex,\n.row[data-jsx=\"2904907959\"],\n.selects[data-jsx=\"2904907959\"] {display: -ms-flexbox;display: flex;}"
            }),
            React.createElement(
                "div",
                { className: cn('icon', theme, { open: open }), "data-jsx": 2904907959
                },
                React.createElement(
                    "div",
                    { className: "permission-icon", onClick: this.toggleTooltip, "data-jsx": 2904907959
                    },
                    React.createElement(Icon_1.default, { src: require('graphcool-styles/icons/fill/permissions.svg'), color: theme === 'light' ? graphcool_styles_1.$v.darkBlue20 : graphcool_styles_1.$v.white20, width: 23, height: 23 }),
                    React.createElement(Icon_1.default, { src: require('graphcool-styles/icons/stroke/addFull.svg'), color: theme === 'light' ? 'rgb(179,187,191)' : 'rgb(58,67,74)', stroke: true, strokeWidth: 6, width: 12, height: 12, className: "plus stroke" })
                ),
                React.createElement(
                    "div",
                    { className: "tooltip", "data-jsx": 2904907959
                    },
                    React.createElement(
                        Tooltip_1.default,
                        { open: open, onClose: this.toggleTooltip, anchorOrigin: {
                                horizontal: 'right',
                                vertical: 'bottom'
                            } },
                        React.createElement(
                            "div",
                            {
                                "data-jsx": 2904907959
                            },
                            React.createElement(
                                "div",
                                { className: "row chooser", "data-jsx": 2904907959
                                },
                                React.createElement(
                                    "div",
                                    {
                                        "data-jsx": 2904907959
                                    },
                                    React.createElement(
                                        "div",
                                        { className: "permission-type", "data-jsx": 2904907959
                                        },
                                        "Permission Type"
                                    ),
                                    React.createElement(TypeChooser_1.default, { modelSelected: this.state.modelSelected, onToggle: this.toggleType })
                                )
                            ),
                            modelSelected ? React.createElement(
                                "div",
                                { className: "row", "data-jsx": 2904907959
                                },
                                React.createElement(
                                    "div",
                                    { className: "selects w100", "data-jsx": 2904907959
                                    },
                                    React.createElement(
                                        "div",
                                        { className: "select", "data-jsx": 2904907959
                                        },
                                        React.createElement(
                                            "select",
                                            { value: modelName, onChange: this.handleModelNameChange, "data-jsx": 2904907959
                                            },
                                            serviceInformation.models.map(function (model) {
                                                return React.createElement(
                                                    "option",
                                                    { value: model.name, key: model.id, "data-jsx": 2904907959
                                                    },
                                                    model.name
                                                );
                                            })
                                        ),
                                        React.createElement(
                                            "div",
                                            { className: "arrow", "data-jsx": 2904907959
                                            },
                                            "\u25BE"
                                        )
                                    )
                                )
                            ) : React.createElement(
                                "div",
                                { className: "row", "data-jsx": 2904907959
                                },
                                React.createElement(
                                    "div",
                                    { className: "select w100", "data-jsx": 2904907959
                                    },
                                    React.createElement(
                                        "select",
                                        { value: relationName, onChange: this.handleRelationNameChange, className: "w100", "data-jsx": 2904907959
                                        },
                                        serviceInformation.relations.map(function (relation) {
                                            return React.createElement(
                                                "option",
                                                { value: relation.name, key: relation.name, "data-jsx": 2904907959
                                                },
                                                relation.name
                                            );
                                        })
                                    ),
                                    React.createElement(
                                        "div",
                                        { className: "arrow", "data-jsx": 2904907959
                                        },
                                        "\u25BE"
                                    )
                                )
                            ),
                            React.createElement(
                                "div",
                                { className: "row", "data-jsx": 2904907959
                                },
                                React.createElement(
                                    Button_1.Button,
                                    { green: true, onClick: this.newTab },
                                    "New Permission Tab"
                                )
                            )
                        )
                    )
                )
            )
        );
    };
    return NewPermissionTab;
}(React.Component);
exports.default = NewPermissionTab;
//# sourceMappingURL=NewPermissionTab.jsx.map