/// <reference types="react" />
import * as React from 'react';
import { Session } from '../../types';
export interface Props {
    sessions: Session[];
    selectedSessionIndex: number;
    onNewSession: any;
    onCloseSession: (session: Session) => void;
    onOpenHistory: () => void;
    onSelectSession: (session: Session) => void;
    onboardingStep?: string;
    tether?: any;
    nextStep?: () => void;
    theme?: string;
    isApp?: boolean;
}
export declare const TabBar: React.ComponentClass<Props>;
