"use strict";

var _style = require("styled-jsx/style");

var _style2 = _interopRequireDefault(_style);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react"); // tslint:disable-line
var cx = require("classnames");
var VariableTag = function VariableTag(_a) {
  var onClick = _a.onClick,
      variable = _a.variable,
      active = _a.active,
      className = _a.className;
  var name = variable.name;
  return React.createElement(
    "div",
    { className: cx('variable-tag', active ? 'active' : '', className), onClick: onClick, "data-jsx": 2723371660
    },
    React.createElement(_style2.default, {
      styleId: 2723371660,
      css: ".variable-tag[data-jsx=\"2723371660\"] {padding: 6px 6px 6px 9px;}.type[data-jsx=\"2723371660\"] {padding: 4px 5px 3px 5px;}.br2,\n.variable-tag[data-jsx=\"2723371660\"],\n.type[data-jsx=\"2723371660\"] {border-radius: 2px;}.white30,\n.variable-tag[data-jsx=\"2723371660\"] {color: hsla(0,0%,100%,.3);}.flex,\n.variable-tag[data-jsx=\"2723371660\"] {display: -ms-flexbox;display: flex;}.itemsCenter,\n.variable-tag[data-jsx=\"2723371660\"] {-webkit-box-align: center;-ms-flex-align: center;-ms-grid-row-align: center;align-items: center;}.bgWhite10,\n.variable-tag.active[data-jsx=\"2723371660\"] {background-color: hsla(0,0%,100%,.1);}.white60,\n.variable-tag.active[data-jsx=\"2723371660\"],\n.type[data-jsx=\"2723371660\"] {color: hsla(0,0%,100%,.6);}.f14,\n.name[data-jsx=\"2723371660\"] {font-size: 14px;}.fw4,\n.name[data-jsx=\"2723371660\"] {font-weight: 400;}.code,\n.name[data-jsx=\"2723371660\"],\n.type[data-jsx=\"2723371660\"] {font-family: Consolas,monaco,monospace;}.lhSolid,\n.name[data-jsx=\"2723371660\"] {line-height: 1;}.code,\n.name[data-jsx=\"2723371660\"],\n.type[data-jsx=\"2723371660\"] {font-family: Consolas,monaco,monospace;}.f12,\n.type[data-jsx=\"2723371660\"] {font-size: 12px;}.br2,\n.variable-tag[data-jsx=\"2723371660\"],\n.type[data-jsx=\"2723371660\"] {border-radius: 2px;}.bgWhite04,\n.type[data-jsx=\"2723371660\"] {background-color: hsla(0,0%,100%,.04);}.white60,\n.variable-tag.active[data-jsx=\"2723371660\"],\n.type[data-jsx=\"2723371660\"] {color: hsla(0,0%,100%,.6);}.ml6,\n.type[data-jsx=\"2723371660\"] {margin-left: 6px;}"
    }),
    React.createElement(
      "div",
      { className: "name", "data-jsx": 2723371660
      },
      name
    ),
    React.createElement(
      "div",
      { className: "type", "data-jsx": 2723371660
      },
      renderType(variable)
    )
  );
};
function renderType(variable) {
  return variable.typeName + '!';
}
exports.renderType = renderType;
exports.default = VariableTag;
//# sourceMappingURL=VariableTag.jsx.map