"use strict";

var _style = require("styled-jsx/style");

var _style2 = _interopRequireDefault(_style);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var __extends = undefined && undefined.__extends || function () {
    var extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function (d, b) {
        d.__proto__ = b;
    } || function (d, b) {
        for (var p in b) {
            if (b.hasOwnProperty(p)) d[p] = b[p];
        }
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() {
            this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
}();
var __assign = undefined && undefined.__assign || Object.assign || function (t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) {
            if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
        }
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var Modal = require("react-modal");
exports.fieldModalStyle = {
    overlay: {
        zIndex: 100,
        backgroundColor: 'rgba(255,255,255,.9)',
        display: 'flex',
        alignItems: 'center',
        justifyContent: 'center'
    },
    content: {
        position: 'relative',
        width: 554,
        height: 'auto',
        top: 'initial',
        left: 'initial',
        right: 'initial',
        bottom: 'initial',
        borderRadius: 2,
        padding: 0,
        border: 'none',
        background: 'none',
        // boxShadow: '0 1px 7px rgba(0,0,0,.2)',
        overflow: 'visible'
    }
};
var Popup = /** @class */function (_super) {
    __extends(Popup, _super);
    function Popup() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Popup.prototype.render = function () {
        var darkBg = this.props.darkBg;
        var modalStyle = {
            overlay: __assign({}, exports.fieldModalStyle.overlay, { background: darkBg ? 'rgba(23,42,58,1.0)' : 'rgba(255,255,255,.9)' }),
            content: __assign({}, exports.fieldModalStyle.content, { width: this.props.width || 560 })
        };
        return React.createElement(
            Modal,
            { isOpen: true, onRequestClose: this.props.onRequestClose, style: modalStyle },
            React.createElement(_style2.default, {
                styleId: 976222031,
                css: ".close[data-jsx=\"976222031\"] {top: -25px;right: -25px;-webkit-transform: translate(100%, -100%);transform: translate(100%, -100%);}.close.inside[data-jsx=\"976222031\"] {-webkit-transform: none;transform: none;}.br2,\n.modal[data-jsx=\"976222031\"] {border-radius: 2px;}.absolute,\n.close[data-jsx=\"976222031\"] {position: absolute;}.pointer:hover,\n.close[data-jsx=\"976222031\"]:hover {cursor: pointer;}.pa10,\n.close[data-jsx=\"976222031\"] {padding: 10px;}.top0,\n.close.inside[data-jsx=\"976222031\"] {top: 0;}.right0,\n.close.inside[data-jsx=\"976222031\"] {right: 0;}.pa25,\n.close.inside[data-jsx=\"976222031\"] {padding: 25px;}"
            }),
            React.createElement(
                "div",
                { className: "modal", "data-jsx": 976222031
                },
                this.props.children
            )
        );
    };
    return Popup;
}(React.Component);
exports.default = Popup;
//# sourceMappingURL=Popup.jsx.map