/// <reference types="react" />
import * as React from 'react';
import { Theme } from './Playground';
export interface Props {
    theme: Theme;
    onToggleTheme: () => void;
    onToggleReload: () => void;
    useVim: boolean;
    onToggleUseVim: () => void;
    autoReload: boolean;
    onReload: () => void;
    endpoint: string;
    onChangeEndpoint?: (endpoint: string) => void;
    subscriptionsEndpoint: string;
    onChangeSubscriptionsEndpoint?: (endpoint: string) => void;
}
export interface State {
    open: boolean;
    endpointUrl: string;
}
export default class Settings extends React.Component<Props, State> {
    constructor(props: any);
    render(): JSX.Element;
    private handleChangeEndpoint;
    private handleChangeSubscriptionsEndpoint;
    private toggleTooltip;
}
