/// <reference types="react" />
import * as React from 'react';
import { Theme } from './Playground';
export interface Props {
    theme: Theme;
    allTabs: boolean;
    httpHeaders: boolean;
    history: boolean;
    onToggleAllTabs: () => void;
    onToggleHttpHeaders: () => void;
    onToggleHistory: () => void;
    onShare: () => void;
    shareUrl?: string;
    reshare: boolean;
}
export interface State {
    open: boolean;
}
export default class Share extends React.Component<Props, State> {
    constructor(props: any);
    render(): JSX.Element;
    private toggleTooltip;
}
