"use strict";

var _style = require("styled-jsx/style");

var _style2 = _interopRequireDefault(_style);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var __extends = undefined && undefined.__extends || function () {
  var extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function (d, b) {
    d.__proto__ = b;
  } || function (d, b) {
    for (var p in b) {
      if (b.hasOwnProperty(p)) d[p] = b[p];
    }
  };
  return function (d, b) {
    extendStatics(d, b);
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
}();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var Icon_1 = require("graphcool-styles/dist/components/Icon/Icon");
var graphcool_styles_1 = require("graphcool-styles");
var ToggleButton_1 = require("./ToggleButton");
var Tooltip_1 = require("./Tooltip");
var cn = require("classnames");
var Button_1 = require("./Button");
var Copy_1 = require("./Copy");
var Share = /** @class */function (_super) {
  __extends(Share, _super);
  function Share(props) {
    var _this = _super.call(this, props) || this;
    _this.toggleTooltip = function () {
      _this.setState(function (state) {
        return { open: !state.open };
      });
    };
    _this.state = {
      open: false
    };
    return _this;
  }
  Share.prototype.render = function () {
    var open = this.state.open;
    var _a = this.props,
        allTabs = _a.allTabs,
        httpHeaders = _a.httpHeaders,
        history = _a.history,
        onToggleAllTabs = _a.onToggleAllTabs,
        onToggleHistory = _a.onToggleHistory,
        onToggleHttpHeaders = _a.onToggleHttpHeaders,
        theme = _a.theme,
        shareUrl = _a.shareUrl,
        onShare = _a.onShare,
        reshare = _a.reshare;
    return React.createElement(
      "div",
      { className: "settings", "data-jsx": 2583920202
      },
      React.createElement(_style2.default, {
        styleId: 2583920202,
        css: ".settings[data-jsx=\"2583920202\"] {z-index: 1005;right: 96px;top: 13px;}.tooltip-text[data-jsx=\"2583920202\"] {letter-spacing: 0.53px;}.tooltip[data-jsx=\"2583920202\"] {right: -21px;}.row[data-jsx=\"2583920202\"] {min-width: 245px;}.button[data-jsx=\"2583920202\"] {padding: 5px 9px 6px 9px;}.button.light[data-jsx=\"2583920202\"]:hover svg,.button.light.open[data-jsx=\"2583920202\"] svg {stroke: rgba(23, 42, 58, .8);}.button[data-jsx=\"2583920202\"]:hover svg,.button.open[data-jsx=\"2583920202\"] svg {stroke: rgba(255, 255, 255, .8);}.copy[data-jsx=\"2583920202\"]:hover svg {fill: rgba(23, 42, 58, .6);}.absolute,\n.settings[data-jsx=\"2583920202\"],\n.tooltip[data-jsx=\"2583920202\"],\n.copy[data-jsx=\"2583920202\"] {position: absolute;}.mr10,\n.tooltip-text[data-jsx=\"2583920202\"] {margin-right: 10px;}.darkBlue50,\n.tooltip-text[data-jsx=\"2583920202\"] {color: rgba(23,42,58,.5);}.fw6,\n.tooltip-text[data-jsx=\"2583920202\"],\n.button[data-jsx=\"2583920202\"],\ninput[data-jsx=\"2583920202\"] {font-weight: 600;}.ttu,\n.tooltip-text[data-jsx=\"2583920202\"],\n.button[data-jsx=\"2583920202\"] {text-transform: uppercase;}.f14,\n.tooltip-text[data-jsx=\"2583920202\"],\n.button[data-jsx=\"2583920202\"] {font-size: 14px;}.pointer:hover,\n.icon[data-jsx=\"2583920202\"]:hover {cursor: pointer;}.relative,\n.icon[data-jsx=\"2583920202\"],\n.row[data-jsx=\"2583920202\"] {position: relative;}.absolute,\n.settings[data-jsx=\"2583920202\"],\n.tooltip[data-jsx=\"2583920202\"],\n.copy[data-jsx=\"2583920202\"] {position: absolute;}.flex,\n.row[data-jsx=\"2583920202\"],\n.button[data-jsx=\"2583920202\"] {display: -ms-flexbox;display: flex;}.itemsCenter,\n.row[data-jsx=\"2583920202\"],\n.button[data-jsx=\"2583920202\"] {-webkit-box-align: center;-ms-flex-align: center;-ms-grid-row-align: center;align-items: center;}.justifyBetween,\n.row[data-jsx=\"2583920202\"] {-ms-flex-pack: justify;justify-content: space-between;}.relative,\n.icon[data-jsx=\"2583920202\"],\n.row[data-jsx=\"2583920202\"] {position: relative;}.absolute,\n.settings[data-jsx=\"2583920202\"],\n.tooltip[data-jsx=\"2583920202\"],\n.copy[data-jsx=\"2583920202\"] {position: absolute;}.right0,\n.copy[data-jsx=\"2583920202\"] {right: 0;}.mt16,\n.row[data-jsx=\"2583920202\"] + .row[data-jsx=\"2583920202\"] {margin-top: 16px;}.ba,\n.button[data-jsx=\"2583920202\"] {border-style: solid;border-width: 1px;}.br2,\n.button[data-jsx=\"2583920202\"],\ninput[data-jsx=\"2583920202\"] {border-radius: 2px;}.f14,\n.tooltip-text[data-jsx=\"2583920202\"],\n.button[data-jsx=\"2583920202\"] {font-size: 14px;}.fw6,\n.tooltip-text[data-jsx=\"2583920202\"],\n.button[data-jsx=\"2583920202\"],\ninput[data-jsx=\"2583920202\"] {font-weight: 600;}.ttu,\n.tooltip-text[data-jsx=\"2583920202\"],\n.button[data-jsx=\"2583920202\"] {text-transform: uppercase;}.bWhite20,\n.button[data-jsx=\"2583920202\"] {border-color: hsla(0,0%,100%,.2);}.flex,\n.row[data-jsx=\"2583920202\"],\n.button[data-jsx=\"2583920202\"] {display: -ms-flexbox;display: flex;}.itemsCenter,\n.row[data-jsx=\"2583920202\"],\n.button[data-jsx=\"2583920202\"] {-webkit-box-align: center;-ms-flex-align: center;-ms-grid-row-align: center;align-items: center;}.white40,\n.button[data-jsx=\"2583920202\"] {color: hsla(0,0%,100%,.4);}.bWhite70,\n.button[data-jsx=\"2583920202\"]:hover,\n.button.open[data-jsx=\"2583920202\"] {border-color: hsla(0,0%,100%,.7);}.white80,\n.button[data-jsx=\"2583920202\"]:hover,\n.button.open[data-jsx=\"2583920202\"] {color: hsla(0,0%,100%,.8);}.ml10,\n.button[data-jsx=\"2583920202\"] span[data-jsx=\"2583920202\"] {margin-left: 10px;}.bDarkBlue10,\n.button.light[data-jsx=\"2583920202\"] {border-color: rgba(23,42,58,.1);}.darkBlue40,\n.button.light[data-jsx=\"2583920202\"] {color: rgba(23,42,58,.4);}.bDarkBlue70,\n.button.light[data-jsx=\"2583920202\"]:hover,\n.button.light.open[data-jsx=\"2583920202\"] {border-color: rgba(23,42,58,.7);}.darkBlue80,\n.button.light[data-jsx=\"2583920202\"]:hover,\n.button.light.open[data-jsx=\"2583920202\"] {color: rgba(23,42,58,.8);}.bgDarkBlue10,\ninput[data-jsx=\"2583920202\"] {background-color: rgba(23,42,58,.1);}.br2,\n.button[data-jsx=\"2583920202\"],\ninput[data-jsx=\"2583920202\"] {border-radius: 2px;}.pv6,\ninput[data-jsx=\"2583920202\"] {padding-top: 6px;padding-bottom: 6px;}.ph10,\ninput[data-jsx=\"2583920202\"] {padding-left: 10px;padding-right: 10px;}.fw6,\n.tooltip-text[data-jsx=\"2583920202\"],\n.button[data-jsx=\"2583920202\"],\ninput[data-jsx=\"2583920202\"] {font-weight: 600;}.darkBlue,\ninput[data-jsx=\"2583920202\"] {color: #172a3a;}.f12,\ninput[data-jsx=\"2583920202\"] {font-size: 12px;}.db,\ninput[data-jsx=\"2583920202\"] {display: block;}.w100,\ninput[data-jsx=\"2583920202\"] {width: 100%;}"
      }),
      React.createElement(
        "div",
        { className: "icon", "data-jsx": 2583920202
        },
        React.createElement(
          "div",
          { className: cn('button', this.props.theme, { open: open }), onClick: this.toggleTooltip, "data-jsx": 2583920202
          },
          React.createElement(Icon_1.default, { src: require('../assets/icons/share.svg'), color: theme === 'light' ? graphcool_styles_1.$v.darkBlue40 : graphcool_styles_1.$v.white40, stroke: true, width: 13, height: 13 }),
          React.createElement(
            "span",
            {
              "data-jsx": 2583920202
            },
            "Share"
          )
        ),
        React.createElement(
          "div",
          { className: "tooltip", "data-jsx": 2583920202
          },
          React.createElement(
            Tooltip_1.default,
            { open: open, onClose: this.toggleTooltip, anchorOrigin: {
                horizontal: 'right',
                vertical: 'bottom'
              } },
            React.createElement(
              "div",
              {
                "data-jsx": 2583920202
              },
              React.createElement(
                "div",
                { className: "row", "data-jsx": 2583920202
                },
                React.createElement(
                  "span",
                  { className: "tooltip-text", onClick: onToggleAllTabs, "data-jsx": 2583920202
                  },
                  "Share all tabs",
                  ' '
                ),
                React.createElement(ToggleButton_1.default, { checked: allTabs, onChange: onToggleAllTabs })
              ),
              React.createElement(
                "div",
                { className: "row", "data-jsx": 2583920202
                },
                React.createElement(
                  "span",
                  { className: "tooltip-text", onClick: onToggleHttpHeaders, "data-jsx": 2583920202
                  },
                  "HTTP headers",
                  ' '
                ),
                React.createElement(ToggleButton_1.default, { checked: httpHeaders, onChange: onToggleHttpHeaders })
              ),
              React.createElement(
                "div",
                { className: "row", "data-jsx": 2583920202
                },
                React.createElement(
                  "span",
                  { className: "tooltip-text", onClick: onToggleHistory, "data-jsx": 2583920202
                  },
                  "History",
                  ' '
                ),
                React.createElement(ToggleButton_1.default, { checked: history, onChange: onToggleHistory })
              ),
              shareUrl && React.createElement(
                "div",
                { className: "row", "data-jsx": 2583920202
                },
                React.createElement("input", { value: shareUrl, disabled: true, "data-jsx": 2583920202
                }),
                React.createElement(
                  "div",
                  { className: "copy", "data-jsx": 2583920202
                  },
                  React.createElement(
                    Copy_1.default,
                    { text: shareUrl },
                    React.createElement(Icon_1.default, { src: require('graphcool-styles/icons/fill/copy.svg'), color: graphcool_styles_1.$v.darkBlue30, width: 25, height: 25 })
                  )
                )
              ),
              React.createElement(
                "div",
                { className: "row", "data-jsx": 2583920202
                },
                React.createElement("div", {
                  "data-jsx": 2583920202
                }),
                React.createElement(
                  Button_1.Button,
                  { hideArrow: true, onClick: onShare },
                  reshare && shareUrl ? 'Reshare' : 'Share'
                )
              )
            )
          )
        )
      )
    );
  };
  return Share;
}(React.Component);
exports.default = Share;
//# sourceMappingURL=Share.jsx.map