"use strict";

var _style = require("styled-jsx/style");

var _style2 = _interopRequireDefault(_style);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var cn = require("classnames");
function Toggle(_a) {
  var choices = _a.choices,
      onChange = _a.onChange,
      activeChoice = _a.activeChoice;
  return React.createElement(
    "div",
    { className: "toggle", "data-jsx": 2081673235
    },
    React.createElement(_style2.default, {
      styleId: 2081673235,
      css: ".choice[data-jsx=\"2081673235\"] {letter-spacing: 0.2px;padding: 4px 8px;}.choice.active[data-jsx=\"2081673235\"] {background: #b8bfc4;}.flex,\n.toggle[data-jsx=\"2081673235\"] {display: -ms-flexbox;display: flex;}.f12,\n.choice[data-jsx=\"2081673235\"] {font-size: 12px;}.ttu,\n.choice[data-jsx=\"2081673235\"] {text-transform: uppercase;}.br2,\n.choice[data-jsx=\"2081673235\"] {border-radius: 2px;}.mr6,\n.choice[data-jsx=\"2081673235\"] {margin-right: 6px;}.fw6,\n.choice[data-jsx=\"2081673235\"] {font-weight: 600;}.black40,\n.choice[data-jsx=\"2081673235\"] {color: rgba(0,0,0,.4);}.pointer:hover,\n.choice[data-jsx=\"2081673235\"]:hover {cursor: pointer;}.black70,\n.choice.active[data-jsx=\"2081673235\"],\n.choice[data-jsx=\"2081673235\"]:not(.active):hover {color: rgba(0,0,0,.7);}.black70,\n.choice.active[data-jsx=\"2081673235\"],\n.choice[data-jsx=\"2081673235\"]:not(.active):hover {color: rgba(0,0,0,.7);}"
    }),
    choices.map(function (choice, i) {
      return React.createElement(
        "div",
        { className: cn('choice', { active: choice === activeChoice }), key: choice
          // tslint:disable-next-line
          , onClick: function onClick() {
            return onChange(choice, i);
          }, "data-jsx": 2081673235
        },
        choice
      );
    })
  );
}
exports.default = Toggle;
//# sourceMappingURL=Toggle.jsx.map