"use strict";

var _style = require("styled-jsx/style");

var _style2 = _interopRequireDefault(_style);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var cx = require("classnames");
var ToggleButton = function ToggleButton(_a) {
  var checked = _a.checked,
      onChange = _a.onChange,
      className = _a.className;
  return React.createElement(
    "div",
    { className: cx('toggle-button', className), onClick: onChange, "data-jsx": 929249373
    },
    React.createElement(_style2.default, {
      styleId: 929249373,
      css: ".toggle-button[data-jsx=\"929249373\"] {width: 39px;height: 21px;}.toggle-slider[data-jsx=\"929249373\"] {-webkit-transition: transform 70ms linear;-webkit-transition: -webkit-transform 70ms linear;transition: -webkit-transform 70ms linear;transition: transform 70ms linear;transition: transform 70ms linear, -webkit-transform 70ms linear;border-radius: 23px}.toggle-slider[data-jsx=\"929249373\"][data-jsx=\"929249373\"]:before {position: absolute;content: \"\";height: 23px;width: 23px;left: -1px;bottom: -1px;background-color: white;border-radius: 50%;box-shadow: 0 1px 3px rgba(0, 0, 0, .25);-webkit-transition: transform 70ms linear;-webkit-transition: -webkit-transform 70ms linear;transition: -webkit-transform 70ms linear;transition: transform 70ms linear;transition: transform 70ms linear, -webkit-transform 70ms linear;}.toggle-input[data-jsx=\"929249373\"] {display: none}.toggle-input[data-jsx=\"929249373\"][data-jsx=\"929249373\"]:checked + div[data-jsx=\"929249373\"]:before {-webkit-transform: translateX(19px);transform: translateX(19px);}.relative,\n.toggle-button[data-jsx=\"929249373\"] {position: relative;}.dib,\n.toggle-button[data-jsx=\"929249373\"] {display: inline-block;}.absolute,\n.toggle-slider[data-jsx=\"929249373\"] {position: absolute;}.pointer:hover,\n.toggle-slider[data-jsx=\"929249373\"]:hover {cursor: pointer;}.top0,\n.toggle-slider[data-jsx=\"929249373\"] {top: 0;}.left0,\n.toggle-slider[data-jsx=\"929249373\"] {left: 0;}.right0,\n.toggle-slider[data-jsx=\"929249373\"] {right: 0;}.bottom0,\n.toggle-slider[data-jsx=\"929249373\"] {bottom: 0;}.bgBlack40,\n.toggle-slider[data-jsx=\"929249373\"] {background-color: rgba(0,0,0,.4);}.bgGreen,\n.toggle-input[data-jsx=\"929249373\"][data-jsx=\"929249373\"]:checked + div[data-jsx=\"929249373\"] {background-color: #27ae60;}"
    }),
    React.createElement("input", { className: "toggle-input", type: "checkbox", checked: checked, readOnly: true, "data-jsx": 929249373
    }),
    React.createElement("div", { className: "toggle-slider", "data-jsx": 929249373
    })
  );
};
exports.default = ToggleButton;
//# sourceMappingURL=ToggleButton.jsx.map